# Get a list of instances

Returns information about instances owned by a producer's customer accounts.  
Each customer account may have one or more instances, and each instance serves 
exactly one customer account.

Endpoint: GET /provisioning/api/v1.1/instances
Version: v1.1
Security: AdministrationAccess

## Security:

  - `AdministrationAccess` (unknown)
    http bearer JWT

## Query parameters:

  - `next` (integer)
    Enter the next page value returned by the response to the previous GET /instances request to get the next page of instances.

  - `size` (integer)
    Enter the number of items to return. (This number of items is not guaranteed.)

  - `accountId` (string)
    Find instances belonging to this account ID. This query parameter must be used in combination with the 'default' query parameter.

  - `default` (boolean)
    Find the default instance for the given account ID. Must be set to 'true'.

## Response 200:

  - `200` (unknown)
    List of instances was successfully returned.

## Response 200 fields (application/json):

  - `content` (array)
    The list of instances.

  - `content.id` (string)
    The ID of the instance.

  - `content.shortName` (string, required)
    User-defined name of the instance.

  - `content.accountId` (string, required)
    ID of the customer account owning the instance.

  - `content.defaultInstance` (boolean)
    Indicates whether this is the default instance for an account. If
set to true, auto-provisioned line items will be mapped to this
instance.

  - `content.created` (integer)
    The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the instance was created.

  - `content.modified` (integer)
    The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the instance was last modified.

  - `next` (integer)
    Use this page value in your next GET /instances request to fetch the next page of instances.

## Response 400:

  - `400` (unknown)
    Bad Request. Check the request for any errors in the input.

## Response 401:

  - `401` (unknown)
    Unauthorized. Check authentication details.

## Response 403:

  - `403` (unknown)
    Forbidden. The user is forbidden from performing this operation. Check user permissions.

## Response 404:

  - `404` (unknown)
    Resource not found. The requested resource is not available.

## Response 500:

  - `500` (unknown)
    Internal Server Error. There was an internal error processing the request. If you need to contact support, please include the reference number provided in the response.

